<?php
	include_once ('../includes/variables.php');
	DEFINE ('DB_HOST', $host);
	DEFINE ('DB_USER', $username);	 
	DEFINE ('DB_PASSWORD', $password);
	DEFINE ('DB_NAME', $databasename);
	DEFINE ('TABLE_NAME', "uniquewords");

    $mysqli = mysqli_connect(DB_HOST, DB_USER, DB_PASSWORD, DB_NAME) or die (mysqli_error($conn)); 
    if ($mysqli->connect_errno) {
    	echo "Failed to connect to MySQL: " . $mysqli->connect_error;
    	exit();
    }
    
    //Run once UTF8 display & search related issues.
    $sSQL= 'SET CHARACTER SET utf8'; 
    mysqli_query($mysqli , $sSQL) or die ('Can\'t charset in DataBase'); 

    // Function for basic field validation (present and neither empty nor only white space
    function IsNullOrEmptyString($str){
        return (!isset($str) || trim($str) === '');
    }


    // Insert and Update Date
    if (isset($_POST['submit'])) {
            $data = '';
    		$uniqueword_input = $_POST['uniqueword'];
    		$meaning_input = $_POST['meaning'];
    		$isdone = (isset($_POST['isdone']) ? 1 : 0);
    		
    		$word1 = $_POST['word1'];
    		$word2 = $_POST['word2'];
    		$word3 = $_POST['word3'];
    		$word4 = $_POST['word4'];
    		$word5 = $_POST['word5'];
    	
            $uniqueword = trim($uniqueword_input , $character_mask = " \t\n\r\0\x0B");
            $meaning = trim($meaning_input , $character_mask = " \t\n\r\0\x0B");
            
            if(IsNullOrEmptyString($uniqueword)){
                $data = 'Failed. Unique Word not saved. It is empty or null.';
    			echo json_encode($data);
    			header("Location: index.php?msg=" . $data); 
    			return;
            }

            date_default_timezone_set("Asia/Calcutta"); //("Asia/Kolkata")
            $currenttime = date("Y-m-d H:i:s");

            $query = "INSERT INTO ".TABLE_NAME."(uniqueword, meaning, word1id, word2id, word3id, word4id, word5id, done, modified) 
    		VALUES(N'$uniqueword', N'$meaning',  '$word1', '$word2', '$word3',  '$word4', '$word5', '$isdone', '$currenttime')";
    
    		$result = $mysqli->query($query);
            //$result = mysqli_query($result, $mysqli) or trigger_error("Query Failed! SQL: $sql - Error: ".mysqli_error(), E_USER_ERROR);
            
    		if ($result) {
    			$data = 'New Unique Word saved successfully ('. $uniqueword .')';
    			echo json_encode($data);
    			header("Location: index.php?msg=" . $data);
    		} else {
    			$data = 'Failed. Unique Word not saved' ." (".($mysqli -> error).")";
    			echo json_encode($data);
    			header("Location: index.php?msg=" . $data);
    		}
    	}
    
    
    
    

?>